Skip to main content
POST
/
merchant
/
metric
/
event
/
delete
Del Merchant Metric Event
curl --request POST \
  --url https://api.unibee.dev/merchant/metric/event/delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "externalEventId": "<string>",
  "metricCode": "<string>",
  "email": "<string>",
  "externalUserId": "<string>",
  "userId": 123
}
'
{
  "code": 123,
  "data": {},
  "merchantId": 123,
  "message": "<string>",
  "redirect": "<string>",
  "requestId": "<string>"
}

Endpoint Overview

POST https://api.unibee.dev/merchant/metric/event/delete Del Merchant Metric Event

Authorization

All UniBee Merchant API requests require authentication via API key.
HeaderRequiredDescription
AuthorizationYesBearer <your_api_key>
Content-TypeYesapplication/json (for request body)

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body

NameTypeRequiredDescription
emailstringNoEmail, UserId,ExternalUserId, or Email provides one of three options
externalEventIdstringYesExternalEventId
externalUserIdstringNoExternalUserId, UserId, ExternalUserId, or Email provides one of three options
metricCodestringYesMetricCode
userIdintegerNoUserId, UserId,ExternalUserId, or Email provides one of three options

Request examples

cURL

curl -X POST "https://api.unibee.dev/merchant/metric/event/delete" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "email": "user@example.com",
  "externalEventId": "id_example",
  "externalUserId": "id_example",
  "metricCode": "",
  "userId": 0
}'

Sandbox

curl -X POST "https://api-sandbox.unibee.top/merchant/metric/event/delete" \
  -H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "email": "user@example.com",
  "externalEventId": "id_example",
  "externalUserId": "id_example",
  "metricCode": "",
  "userId": 0
}'

Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success. The response schema for this endpoint is shown below.

Error handling

HTTP statusMeaning
400Bad request — invalid or missing parameters. Check message in the body.
401Unauthorized — missing or invalid API key.
404Not found — invalid path or resource.
500Server error — retry with backoff.
When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
externalEventId
string<string>
required

ExternalEventId

metricCode
string<string>
required

MetricCode

email
string<string>

Email, UserId,ExternalUserId, or Email provides one of three options

externalUserId
string<string>

ExternalUserId, UserId, ExternalUserId, or Email provides one of three options

userId
integer<int64>

UserId, UserId,ExternalUserId, or Email provides one of three options

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>